Package org.eclipse.emf.cdo.transaction

# Interface CDOCommitContext

All Superinterfaces:
  `CDOBranchProvider`

All Known Subinterfaces:
  `InternalCDOTransaction.InternalCDOCommitContext`, `InternalCDOXATransaction.InternalCDOXACommitContext`

public interface CDOCommitContext extends CDOBranchProvider
Provides a context for commit operations.

Since:
  2.0
Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOBranch`
`getBranch()`
`String`
`getCommitComment()`
`CDOCommitData`
`getCommitData()`
`CDOBranchPoint`
`getCommitMergeSource()`
`Map<String,String>`
`getCommitProperties()`
`Map<CDOID,CDOObject>`
`getDetachedObjects()`
Returns a map of the detached `objects` that are to be committed with this commit context.
`Map<CDOID,CDOObject>`
`getDirtyObjects()`
Returns a map of the dirty `objects` that are to be committed with this commit context.
`Collection<CDOID>`
`getIDsToUnlock()`
`Collection<CDOLob<?>>`
`getLobs()`
`Collection<CDOLockState>`
`getLocksOnNewObjects()`
`Map<CDOID,CDOObject>`
`getNewObjects()`
Returns a map of the new `objects` that are to be committed with this commit context.
`List<CDOPackageUnit>`
`getNewPackageUnits()`
Returns a list of the new `package units` that are to be committed with this commit context.
`Map<CDOID,CDORevisionDelta>`
`getRevisionDeltas()`
Returns a map of the `revision deltas` that are to be committed with this commit context.
`CDOTransaction`
`getTransaction()`
Returns the `transaction` associated with this commit context.
`String`
`getUserID()`
`int`
`getViewID()`
`boolean`
`isAutoReleaseLocks()`
Deprecated.
As of 4.5 no longer supported.
`boolean`
`isPartialCommit()`

## Method Details

### getUserID

String getUserID()

Since:
  4.1

### getViewID

int getViewID()

Since:
  4.1

### getBranch

CDOBranch getBranch()

Specified by:
  `getBranch` in interface `CDOBranchProvider`
Since:
  4.1

### getTransaction

CDOTransaction getTransaction()
Returns the `transaction` associated with this commit context.

### isPartialCommit

boolean isPartialCommit()

Since:
  4.0

### getCommitData

CDOCommitData getCommitData()

Since:
  4.1

### getCommitComment

String getCommitComment()

Since:
  4.1

### getCommitProperties

Map<String,String> getCommitProperties()

Since:
  4.25

### getCommitMergeSource

CDOBranchPoint getCommitMergeSource()

Since:
  4.6

### getNewPackageUnits

List<CDOPackageUnit> getNewPackageUnits()
Returns a list of the new `package units` that are to be committed with this commit context.

### getNewObjects

Map<CDOID,CDOObject> getNewObjects()
Returns a map of the new `objects` that are to be committed with this commit context.

### getDirtyObjects

Map<CDOID,CDOObject> getDirtyObjects()
Returns a map of the dirty `objects` that are to be committed with this commit context.

### getDetachedObjects

Map<CDOID,CDOObject> getDetachedObjects()
Returns a map of the detached `objects` that are to be committed with this commit context.

### getRevisionDeltas

Map<CDOID,CDORevisionDelta> getRevisionDeltas()
Returns a map of the `revision deltas` that are to be committed with this commit context.

### getLobs

Collection<CDOLob<?>> getLobs()

Since:
  4.0

### isAutoReleaseLocks

@Deprecated boolean isAutoReleaseLocks()
Deprecated.
As of 4.5 no longer supported. See `getIDsToUnlock()`.

Since:
  4.1

### getLocksOnNewObjects

Collection<CDOLockState> getLocksOnNewObjects()

Since:
  4.1

### getIDsToUnlock

Collection<CDOID> getIDsToUnlock()

Since:
  4.6